<?php 
	session_start();

	include "../conexion.php";
	
	if(!isset($_SESSION['id_usuario'])){
		
		$linea['resultado'] = '0';
		$linea['mensaje'] = "<div class='alert alert-danger'>Sesión caducada, favor de reiniciar la sesión <a href='index.php'> Click Aqui </a></div>";

		echo json_encode($linea);
		die();
	}
	
	//si no es super usuario se impide el acceso
	if( $_SESSION['tipo_usuario'] != "A" ){
		header('Location: ../');
		die("");
	}

	$sql = "SELECT 
				id_usuario
			FROM 
				tr_t_usuarios
			WHERE 
				correo = '$_POST[correo]' AND
				id_usuario != '$_POST[id_usuario]'";

	$resultado = mysqli_query($conexion, $sql);// or die(mysqli_error($conexion));

	if(mysqli_num_rows($resultado) > 0){
		$linea['resultado'] = '0';
		$linea['mensaje'] = "El correo ya se encuentra en uso, favor de usar otro."; 
		echo json_encode($linea);
		die();
	}	

	
	$sql = "UPDATE `tr_t_usuarios`
			SET
			`correo` = '$_POST[correo]',
			`pass` = '$_POST[pass]'
			WHERE `id_usuario` = '$_POST[id_usuario]';";
	

	if(mysqli_query($conexion, $sql)){
		$linea['resultado'] = '1';
		$linea['mensaje']   = $_POST['id_usuario'];
	} else{

		$linea['resultado'] = '0';

		if(strpos(mysqli_error($conexion), "Duplicate entry") !== false ){
			$linea['mensaje'] = "El nombre de usuario ya se encuentra en uso, favor de usar otro."; 
		}else{
			$linea['mensaje'] = mysqli_error($conexion); 
		}
		
	}

	echo json_encode($linea);

	mysqli_close($conexion);
 ?>